FROM rust:1.62.1-slim-bullseye

RUN apt-get update && apt-get upgrade -y

RUN apt-get install -y build-essential curl git

WORKDIR /app/

RUN git clone https://git.front.kjuulh.io/kjuulh/cuddle.git

WORKDIR /app/cuddle/

RUN cargo build -p cuddle_cli --release
